/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0 and the Server Side Public License, v 1; you may not use this file except
 * in compliance with, at your election, the Elastic License 2.0 or the Server
 * Side Public License, v 1.
 */

export const expectedResult = [
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '252.63.51.8',
    label: '404',
    time: '2015-09-21T00:00:00.000Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T00:58:25.823Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T00:59:00.367Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '185.39.79.51',
    label: '404',
    time: '2015-09-21T01:55:32.632Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '113.43.75.122',
    label: '404',
    time: '2015-09-21T02:45:59.636Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '200',
    id: 'client_errors',
    'field:ip': '137.230.105.32',
    label: '404',
    time: '2015-09-21T02:54:47.500Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'gif',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T03:17:30.141Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'png',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T03:26:55.232Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '124.187.220.168',
    label: '404',
    time: '2015-09-21T03:46:06.209Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '99.216.169.176',
    label: '404',
    time: '2015-09-21T04:17:57.312Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '191.204.236.159',
    label: '404',
    time: '2015-09-21T04:19:58.195Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T04:26:43.432Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '1.59.159.138',
    label: '404',
    time: '2015-09-21T05:07:31.817Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '112.75.33.146',
    label: '404',
    time: '2015-09-21T05:12:59.470Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'gif',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T05:34:13.304Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '197.222.12.184',
    label: '404',
    time: '2015-09-21T05:36:00.717Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T06:48:38.946Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'php',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T06:57:46.610Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T06:58:27.922Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    skippedCount: 269,
    time: '2015-09-21T07:11:00.754Z',
    timebucket: '2015-09-20T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '55.75.54.137',
    label: '404',
    time: '2015-09-21T14:30:35.524Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T14:35:33.669Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'gif',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T14:35:49.990Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '9.85.51.238',
    label: '404',
    time: '2015-09-21T14:37:30.895Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '146.86.123.109',
    label: '404',
    time: '2015-09-21T14:37:55.120Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '117.112.55.75',
    label: '404',
    time: '2015-09-21T14:38:21.637Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T14:38:58.747Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '128.248.96.80',
    label: '404',
    time: '2015-09-21T14:39:45.330Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '103.57.26.210',
    label: '404',
    time: '2015-09-21T14:41:08.984Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '68.41.209.99',
    label: '404',
    time: '2015-09-21T14:46:57.158Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '40.160.62.179',
    label: '404',
    time: '2015-09-21T14:47:29.295Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'css',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T14:51:33.395Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '18.113.253.141',
    label: '404',
    time: '2015-09-21T14:51:40.391Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'orange',
    'field:response.raw': '404',
    id: 'client_errors',
    'field:ip': '16.166.96.38',
    label: '404',
    time: '2015-09-21T14:57:25.160Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T15:15:42.547Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'png',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T15:22:45.564Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T15:25:05.797Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T15:47:55.678Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    time: '2015-09-21T15:49:56.270Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
  {
    color: 'red',
    'field:bytes': 0,
    'field:extension.raw': 'jpg',
    'field:response.raw': '503',
    id: 'server_errors',
    label: '503',
    skippedCount: 72,
    time: '2015-09-21T15:54:46.498Z',
    timebucket: '2015-09-21T14:30:00.000Z',
    type: 'point',
  },
];
